Gecode::FlatZinc::IntVarSpec Class Reference

Specification for integer variables. More...

`#include <varspec.hh>`

## Public Member Functions

| IntVarSpec (const Option< AST::SetLit * > &d, bool introduced, bool funcDep)
| IntVarSpec (int i0, bool introduced, bool funcDep)
| IntVarSpec (const Alias &eq, bool introduced, bool funcDep)
| ~IntVarSpec (void)
Public Member Functions inherited from Gecode::FlatZinc::VarSpec
virtual | ~VarSpec (void)
| Destructor.
| VarSpec (bool introduced0, bool funcDep0)
| Constructor.

## Public Attributes

Option< AST::SetLit * > | domain
Public Attributes inherited from Gecode::FlatZinc::VarSpec
int | i
| Variable index.
bool | alias
| Whether the variable aliases another variable.
bool | assigned
| Whether the variable is assigned.
bool | introduced
| Whether the variable was introduced in the mzn2fzn translation.
bool | funcDep
| Whether the variable functionally depends on another variable.

## Detailed Description

Specification for integer variables.

Definition at line 72 of file varspec.hh.

## Constructor & Destructor Documentation

## IntVarSpec() [1/3]

Gecode::FlatZinc::IntVarSpec::IntVarSpec | ( | const Option< AST::SetLit * > & | d,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 75 of file varspec.hh.

## IntVarSpec() [2/3]

Gecode::FlatZinc::IntVarSpec::IntVarSpec | ( | int | i0,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 82 of file varspec.hh.

## IntVarSpec() [3/3]

Gecode::FlatZinc::IntVarSpec::IntVarSpec | ( | const Alias & | eq,
|  | bool | introduced,
|  | bool | funcDep )

inline

Definition at line 86 of file varspec.hh.

## ~IntVarSpec()

Gecode::FlatZinc::IntVarSpec::~IntVarSpec | ( | void |  | ) |

inline

Definition at line 90 of file varspec.hh.

## Member Data Documentation

## domain

Option<AST::SetLit* > Gecode::FlatZinc::IntVarSpec::domain

Definition at line 74 of file varspec.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/varspec.hh